﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2014C: (1 year) VER VISA /5800A+5Ch
DATE:                  2010-12-17 09:09:20
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       272
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2014C
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B VER Required Equipment /5800
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  50 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         100MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         10 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         COMMUNICATION SETUP
  1.017  TARGET
  1.018  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.019  VISA         *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA
  1.022  MATH         @UUT_Model = "TDS 2014C"
  1.023  MATH         @UUT_Manufacturer = "Tektronix"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                          @Abort

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.026  MATH         @SourceMultiCh = 1

  1.027  CALL         Sub Tek TDS1000B/2000B Specifications

  1.028  HEAD         EQUIPMENT REQUIREMENTS
  1.029  OPBR         -z Do you want to REVIEW the list of additional
  1.029  OPBR         equipment and/or accessories required?

  1.030  IF           MEM1
  1.031  CALL         Sub Tek TDS1000B/2000B VER Required Equipment /5800
  1.032  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     VERTICAL POSITION ACC(CH1)
#    8.   BANDWIDTH(CH2)                     VERTICAL POSITION ACC(CH2)
#    9.   BANDWIDTH(CH3)                     VERTICAL POSITION ACC(CH3)
#   10.   BANDWIDTH(CH4)                     VERTICAL POSITION ACC(CH4)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      BANDWIDTH(CH1)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH2)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      BANDWIDTH(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH1)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EDGE-TRIGGER SENSITIVITY(CH2)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EDGE-TRIGGER SENSITIVITY(CH3)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EDGE-TRIGGER SENSITIVITY(CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   20.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   21.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   22.   VERTICAL POSITION ACC(CH3)         EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   23.   VERTICAL POSITION ACC(CH4)         EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.033  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.034  JMPL         END                          @Abort
  1.035  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.036  JMPL         END                          @Abort

  1.037  MATH         @Chan = 1
  1.038  M5800                                                    C1
  1.039  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800

  1.040  MATH         @Chan = 2
  1.041  M5800                                                    C2
  1.042  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800

  1.043  MATH         @Chan = 3
  1.044  M5800                                                    C3
  1.045  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800

  1.046  MATH         @Chan = 4
  1.047  M5800                                                    C4
  1.048  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /5800
  1.049  JMPL         VERTICAL_POSITION

  1.050  LABEL        BANDWIDTH
  1.051  MATH         @Chan = 1
  1.052  M5800                                                    C1
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.054  MATH         @Chan = 2
  1.055  M5800                                                    C2
  1.056  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.057  MATH         @Chan = 3
  1.058  M5800                                                    C3
  1.059  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.060  MATH         @Chan = 4
  1.061  M5800                                                    C4
  1.062  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /5800

  1.063  MATH         @Chan = 1
  1.064  M5800                                                    C1
  1.065  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800

  1.066  MATH         @Chan = 2
  1.067  M5800                                                    C2
  1.068  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800

  1.069  MATH         @Chan = 3
  1.070  M5800                                                    C3
  1.071  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800

  1.072  MATH         @Chan = 4
  1.073  M5800                                                    C4
  1.074  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /5800
  1.075  JMPL         SAMPLE_RATE_DELAY_TIME

  1.076  LABEL        EXT_TRIG_CH1
  1.077  MATH         @Chan = 1
  1.078  M5800                                                    C1
  1.079  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800

  1.080  MATH         @Chan = 2
  1.081  M5800                                                    C1
  1.082  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800

  1.083  MATH         @Chan = 3
  1.084  M5800                                                    C1
  1.085  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800

  1.086  MATH         @Chan = 4
  1.087  M5800                                                    C1
  1.088  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig Sens VISA /5800
  1.089  JMPL         END

  1.090  LABEL        SAMPLE_RATE_DELAY_TIME
  1.091  MATH         @Chan = 1
  1.092  M5800                                                    C1
  1.093  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /5800
  1.094  JMPL         EXT_TRIG_CH1

  1.095  LABEL        VERTICAL_POSITION
  1.096  MATH         @Chan = 1
  1.097  M5800                                                    C1
  1.098  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800

  1.099  MATH         @Chan = 2
  1.100  M5800                                                    C2
  1.101  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800

  1.102  MATH         @Chan = 3
  1.103  M5800                                                    C3
  1.104  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800

  1.105  MATH         @Chan = 4
  1.106  M5800                                                    C4
  1.107  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /5800
  1.108  JMPL         BANDWIDTH

  1.109  LABEL        END

  1.110  IF           @Abort
  1.111  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.112  ELSE
  1.113  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.114  ENDIF

  1.115  VISA         *RST
  1.116  END
